| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
IG.Lib.MatrixDtoBase< MatrixType > Class Template Referenceabstract

Base class for various matrix DTO (Data Transfer Objects) for matrixs. Used to store a state of a matrix. More...

Inheritance diagram for IG.Lib.MatrixDtoBase< MatrixType >:
[legend]
Collaboration diagram for IG.Lib.MatrixDtoBase< MatrixType >:
[legend]

## Public Member Functions
| MatrixDtoBase ()
| Default constructor, sets IsNull to true. More...
| MatrixDtoBase (int rowCnt, int columnCnt)
| Constructor, prepares the current DTO for storing a matrix of the specified dimension. More...
abstract MatrixType | CreateMatrix (int rowCnt, int columnCnt)
| Creates and returns a new matrix of the specified dimension. More...
override MatrixType | CreateObject ()
| Creates and returns a new matrix of the specified type and dimension. More...
Public Member Functions inherited from IG.Lib.SerializationDtoBase< Type, BaseType >
| SerializationDtoBase ()
virtual bool | GetNull ()
| Returns a flag indicating whether the object represented by the current DTO is null. More...
virtual void | SetNull (bool isNull)
| Sets a flag indicating whether the object represented by the current DTO is null. More...
virtual void | CopyFromBase (BaseType obj)
| Copies data to the current DTO from an object of type BaseType. More...
virtual void | CopyToBase (ref BaseType obj)
| Copies data from the current DTO to an object of the base type. Object is created anew if necessary by using the CreateObject() method. More...
virtual void | CopyFrom (Type obj)
| Copies data to the current DTO from an object of type Type. More...
virtual void | CopyTo (ref Type obj)
| Copies data from the current DTO to an object of type Type. Object is created anew if necessary by using the CreateObject() method. More...
virtual void | CopyFromObject (object obj)
| Copies data to the current DTO from an object of type object. The necessary casts are performed. More...
virtual void | CopyToObject (ref object obj)
| Copies data from the current DTO to an object of type object. Object is created anew if necessary by using the CreateObject() method. The necessary casts are performed. More...
override string | ToString ()
| Creates and returns string representation of the current DTO (data transfer object). More...

## Protected Member Functions
virtual void | AllocateComponents (int rowCnt, int columnCnt)
| Allocates the array that stores matrix elements. More...
override void | CopyFromPlain (IMatrix mat)
| Copies data to the current DTO from a matrix object. More...
override void | CopyToPlain (ref IMatrix mat)
| Copies data from the current DTO to a matrix object. More...
Protected Member Functions inherited from IG.Lib.SerializationDtoBase< Type, BaseType >
abstract void | CopyFromPlain (BaseType obj)
| Copies contents of the specified object to the current DTO (Data Transfer Object). More...
abstract void | CopyToPlain (ref BaseType obj)
| Copies contents of the current DTO (Data Transfer Object) to the specified object. More...
Protected Member Functions inherited from IG.Lib.SerializationDto
| SerializationDto ()

## Protected Attributes
int | _rowCount
int | _columnCount
double[][] | _elements
Protected Attributes inherited from IG.Lib.SerializationDtoBase< Type, BaseType >
bool | _isNull = false

## Properties
virtual int | RowCount`[get, set]`
| Number of rows of the matrix. More...
virtual int | ColumnCount`[get, set]`
| Number of columns of the matrix. More...
double[][] | Components`[get, set]`
| Matrix elements. More...
Properties inherited from IG.Lib.SerializationDtoBase< Type, BaseType >
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Additional Inherited Members
Static Public Member Functions inherited from IG.Lib.SerializationDto
static ObjectType | CopyToObjectReturned< DtoType, ObjectType > (DtoType dto, ObjectType obj)
| Replacement for CopyToObject<DtoType> for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyToObject< DtoType, ObjectType > (DtoType dto, ref ObjectType obj)
| Copies object state form the specified DTO (data transfer object) to the specified object. More...
static DtoType | CopyFromObjectReturned< DtoType, ObjectType > (ObjectType obj, DtoType dto)
| Replacement for CopyObjectFromObject<DtoType> for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyFromObject< DtoType, ObjectType > (ObjectType obj, ref DtoType dto)
| Copies object state form the specified object to the corresponding DTO (data transfer object). More...
static ObjectType[] | CopyArrayToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, ObjectType[] tabObj)
| Replacement for CopyArrayToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayToObject< DtoType, ObjectType > (DtoType[] tabDto, ref ObjectType[] tabObj)
| Copies array of DTOs (Data Transfer Objects) to an array of appropriate objects. More...
static DtoType[] | CopyArrayFromObjectReturned< DtoType, ObjectType > (ObjectType[] tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayFromObject< DtoType, ObjectType > (ObjectType[] tabObj, ref DtoType[] tabDto)
| Copies array of objects to an array of DTOs. More...
static List< ObjectType > | CopyListToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, List< ObjectType > listObj)
| Replacement for CopyListToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListToObject< DtoType, ObjectType > (DtoType[] tabDto, ref List< ObjectType > listObj)
| Copies array of DTOs (Data Transfer Objects) to a list of appropriate objects. More...
static DtoType[] | CopyListFromObjectReturned< DtoType, ObjectType > (List< ObjectType > tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListFromObject< DtoType, ObjectType > (List< ObjectType > tabObj, ref DtoType[] tabDto)
| Copies array of objects to a list of DTOs. More...

## Detailed Description

Base class for various matrix DTO (Data Transfer Objects) for matrixs. Used to store a state of a matrix.

Template Parameters

  MatrixType | Type parameter specifying the specific matrix type for which concrete DTO is designed.

$A Igor Jun09;

Type Constraints

  MatrixType | : | class |
  MatrixType | : | IMatrix |

## Constructor & Destructor Documentation

IG.Lib.MatrixDtoBase< MatrixType >.MatrixDtoBase | ( |  | ) |
| inline

Default constructor, sets IsNull to true.

IG.Lib.MatrixDtoBase< MatrixType >.MatrixDtoBase | ( | int | rowCnt,
|  | int | columnCnt
| ) |  |
| inline

Constructor, prepares the current DTO for storing a matrix of the specified dimension.

Parameters

  rowCnt | First dimension (number of rows) of a matrix that is stored in the current DTO.
  columnCnt | Second dimension (number of columns) of a matrix that is stored in the current DTO.

## Member Function Documentation

virtual void IG.Lib.MatrixDtoBase< MatrixType >.AllocateComponents | ( | int | rowCnt,
|  | int | columnCnt
| ) |  |
| inline protected virtual

Allocates the array that stores matrix elements.

Parameters

  rowCnt | Number of rows of the matrix.
  columnCnt | Number of columns of the matrix.

abstract MatrixType IG.Lib.MatrixDtoBase< MatrixType >.CreateMatrix | ( | int | rowCnt,
|  | int | columnCnt
| ) |  |
| pure virtual

Creates and returns a new matrix of the specified dimension.

Parameters

  rowCnt | Number of rows of the matrix.
  columnCnt | Number of columns of the matrix.

Implemented in IG.Lib.MatrixDto.

override MatrixType IG.Lib.MatrixDtoBase< MatrixType >.CreateObject | ( |  | ) |
| inline virtual

Creates and returns a new matrix of the specified type and dimension.

Implements IG.Lib.SerializationDtoBase< Type, BaseType >.

override void IG.Lib.MatrixDtoBase< MatrixType >.CopyFromPlain | ( | IMatrix | mat | ) |
| inline protected

Copies data to the current DTO from a matrix object.

Parameters

  mat | Matrix object from which data is copied.

override void IG.Lib.MatrixDtoBase< MatrixType >.CopyToPlain | ( | ref IMatrix | mat | ) |
| inline protected

Copies data from the current DTO to a matrix object.

Parameters

  mat | Matrix object that data is copied to.

## Member Data Documentation

int IG.Lib.MatrixDtoBase< MatrixType >._rowCount
| protected

int IG.Lib.MatrixDtoBase< MatrixType >._columnCount
| protected

double [][] IG.Lib.MatrixDtoBase< MatrixType >._elements
| protected

## Property Documentation

virtual int IG.Lib.MatrixDtoBase< MatrixType >.RowCount
| get set

Number of rows of the matrix.

virtual int IG.Lib.MatrixDtoBase< MatrixType >.ColumnCount
| get set

Number of columns of the matrix.

double [][] IG.Lib.MatrixDtoBase< MatrixType >.Components
| get set

Matrix elements.

The documentation for this class was generated from the following file:

- igbase/data/serialization/dtos/MatrixDto.cs